package pps.core.middle.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("wellhead_daily_production_situation")
public class WellheadDailyProductionSituationEnt implements Serializable {
    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("日期")
    @TableField
    private Date dataDate;

    @XText("生产时间(h)")
    @TableField
    private BigDecimal productionTime;

    @XText("日耗电量(kW-h)")
    @TableField
    private BigDecimal dailyElectricityConsumption;

    @XText("日产液量(m3)")
    @TableField
    private BigDecimal dailyLiquidProduction;

    @XText("来源系统")
    @TableField
    private String systemSource;
}
